import LoginHome from "./views/LoginHome";
import Login from "./views/Login";
import SelectSchool from "./views/SelectSchool";
import LoginAuthen from "./views/LoginAuthen";
import LogoutAuthen from "./views/LogoutAuthen";

export default {
  path: "/login-home",
  component: LoginHome,
  children: [
    {
      path: "/login",
      name: "Login",
      component: Login,
      meta: {
        title: "登录",
        noRequire: true
      }
    },
    {
      path: "/select-school",
      name: "SelectSchool",
      component: SelectSchool,
      meta: {
        title: "选择学校",
        noRequire: true
      }
    },
    {
      path: "/login-authen/:code",
      name: "LoginAuthen",
      component: LoginAuthen,
      meta: {
        title: "第三方登录",
        noRequire: true
      }
    },
    {
      path: "/logout-authen",
      name: "LogoutAuthen",
      component: LogoutAuthen,
      meta: {
        title: "第三方退出",
        noRequire: true
      }
    }
  ]
};
